MCP Tools Reference: servicehealth

Tool: get_project_impact

Gets a specific resource-level service health impact (Preview).

The following code sample shows how to use curl to call the get_project_impact MCP tool.

Curl Request
curl --location 'https://servicehealth.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_project_impact",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Message for getting an impact.

GetImpactRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. Name of the resource. Format is projects/{project}/locations/{location}/impacts/{impact}.

Output Schema

Represents an impact.

Impact

JSON representation
{
  "name": string,
  "events": [
    string
  ],
  "asset": {
    object (Asset)
  },
  "createTime": string,
  "updateTime": string,
  "description": string
}
Fields
name

string

Identifier. Name of the impact. The format could be: - projects/{project_id}/locations/{location}/impacts/{impact_id}.

events[]

string

Output only. Event associated with the impact.

asset

object (Asset)

Output only. Asset associated with the impact.

createTime

string (Timestamp format)

Output only. The time when the impact was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The time when the impact was last modified.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

description

string

Output only. Free-form human-readable description.

Asset

JSON representation
{
  "assetName": string,
  "assetType": string
}
Fields
assetName

string

Output only. Full name of the resource as defined in Resource Names.

assetType

string

Output only. Type of the asset. Example: "cloudresourcemanager.googleapis.com/Project"

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌